## debian-edu-config 0.409

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = cfengine-debian-edu cfengine-skolelinux \
        update-ini-file update-hostname-from-ip \
	debian-edu-hd-warn skolelinux-hd-warn debian-edu-lessdisks \
	debian-edu-ltsp debian-edu-pxelinux.cfg

SPROGS = debian-edu-restart-services skolelinux-restart-services \
	debian-edu-test-install skolelinux-test-install ltsp-make-client

INSTALL     = install -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcp3dir   = $(sysconfdir)/dhcp3
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var

CFFILES = \
	cf.apache \
	cf.apt \
	cf.bind9 \
	cf.cfengine \
	cf.cups \
	cf.devfsd \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.inetd \
	cf.kdm \
	cf.ldapserver \
	cf.ldapclient \
	cf.locale \
	cf.ltsp \
	cf.fstab \
	cf.mime-support \
	cf.mozilla \
	cf.munin \
	cf.nagios \
	cf.nat \
	cf.ntp \
	cf.opera \
	cf.pcmcia \
	cf.samba \
	cf.slbackup \
	cf.squid \
	cf.ssh \
	cf.syslog \
	cf.sysstat \
	cfd.conf \
	cfengine.conf \
	cf.sarge-installation-cleanup \

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/10debian-edu-set-umask \
	desktop-profiles/debian-edu-config.listing \
	bind/debian-edu/db.10 \
	bind/debian-edu/db.192.168 \
	bind/debian-edu/db.intern \
	bind/debian-edu/named-bind9.conf \
	courier/authldaprc-debian-edu \
	courier/imapd-debian-edu.cnf \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	default/backdoor \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhclient-exit-hooks \
	dhcp3/dhcpd-debian-edu.conf \
	exim/exim-ldap-client.conf \
	exim/exim-ldap-server.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	ldap/slapd-debian-edu.conf \
	ldap/slapd-sarge_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	pam.d/common-auth-ldap-debian-edu \
	pam.d/common-account-ldap-debian-edu \
	pam.d/common-password-ldap-debian-edu \
	pam.d/common-session-winbind-debian-edu \
	pam.d/common-account-winbind-debian-edu \
	pam.d/common-auth-winbind-debian-edu \
	pam.d/common-password-winbind-debian-edu \
	pam.d/common-session-debian-edu \
	pam.d/cron-debian-edu \
	pam.d/cupsys-debian-edu \
	pam.d/kde-debian-edu \
	pam.d/kscreensaver-debian-edu \
	pam.d/login-debian-edu \
	pam.d/other-debian-edu \
	pam.d/passwd-debian-edu \
	pam.d/samba-debian-edu \
	pam.d/ssh-debian-edu \
	pam.d/su-debian-edu \
	usbmount/usbmount-debian-edu.conf \
	samba/netlogon/login.bat \
	samba/netlogon/shortcut.vbs \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	krb5-winbind-debian-edu.conf \
	lsb-release \
	nagios/nagios-debian-edu.cfg \
	nagios/debian-edu/checkcommands.cfg \
	nagios/debian-edu/contactgroups.cfg \
	nagios/debian-edu/contacts.cfg \
	nagios/debian-edu/dependencies.cfg \
	nagios/debian-edu/htpasswd.users \
	nagios/debian-edu/index.html \
	nagios/debian-edu/main.html \
	nagios/debian-edu/side.html \
	nagios/debian-edu/misccommands.cfg \
	nagios/debian-edu/resource.cfg \
	nagios/debian-edu/services.cfg \
	nagios/debian-edu/timeperiods.cfg \
	nagios/debian-edu/servicetemplates.cfg \
	nagios/debian-edu/hosttemplates.cfg \
	nagios/debian-edu/skolelinux_logo.png \
	nagios/debian-edu/skolelinux_logo_140.png \
	nagios/debian-edu/hosts/gateway.cfg \
	nagios/debian-edu/hosts/tjener.cfg \
	nagios/debian-edu/hostgroups/gateways.cfg \
	nagios/debian-edu/hostgroups/servers.cfg

LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	X11/Xsession-debian-edu \
	samba/smbaddclient.pl

SCHEMAS = \
	samba.schema \
	samba-2.2.x.schema \
	courier.schema \
	automount-debian-edu.schema \
	norEduPerson.schema \
	EduPerson.schema \
	lis.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	netgroup.ldif

LDAPPROGRAMS = \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	samba-debian-edu-admin \
	mkslapdcert

VARFILES = \
	www/index.html.de \
	www/index.html.en \
	www/index.html.es \
	www/index.html.fr \
	www/index.html.nb \
	www/index.html.nl \
	www/skl-ren_css.css \
	www/logo-trans.png

KIOSKFILES = \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/ScoreReadingTrainer.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/abakus.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/k3dsurf.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kalgebra.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kbruch.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/keduca.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kformula.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kig.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/klatin.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kpercentage.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kregexpeditor.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kturtle.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kverbos.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kvoctrain.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/kwordquiz.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/qliss3d.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/apps/kdesktop/Desktop/vym.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/config/kdeglobals \
	share/debian-edu/kde-profile/debian_edu_pupils/share/config/kdesktoprc \
	share/debian-edu/kde-profile/debian_edu_pupils/share/config/konqiconviewrc \
	share/debian-edu/kde-profile/debian_edu_pupils/share/config/uiserverrc \
	share/debian-edu/kde-profile/debian_edu_pupils/share/services/update_ksycoca \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/computer\ science.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/creative\ work.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/languages.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/music.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/writing.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/mathematics.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/desktop-directories/science.directory \
	share/debian-edu/kde-profile/debian_edu_pupils/share/config/menus/applications.menu \
	share/debian-edu/kde-profile/debian_edu_pupils/share/config/menus/kde-applications.menu \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/abakus.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/k3dsurf.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kalgebra.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kalzium.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kbruch.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kdissert.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kformula.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/klatin.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kmplot.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kpercentage.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kregexpeditor.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kstars.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kturtle.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kvoctrain.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/kwordquiz.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/oocalc.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/ooimpress.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/oowriter.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/score-reading-trainer.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/qliss3d.desktop \
	share/debian-edu/kde-profile/debian_edu_pupils/share/applications/vym.desktop

all:

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(sysconfdir)/exim
	install -d $(DESTDIR)$(sysconfdir)/courier
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcp3dir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done



	for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	for f in share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/adduser \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	for f in share/debian-edu/common/share/config/kcookiejarrc \
		share/debian-edu/common/share/config/artsmessagerc \
		share/debian-edu/common/share/config/kdeprintrc \
		share/debian-edu/common/share/config/kpersonalizerrc \
		share/debian-edu/common/share/config/konquerorrc \
		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
		share/debian-edu/networked-kde2/share/config/kioslaverc \
		share/debian-edu/networked-kde3/share/config/kioslaverc \

=== debian/changelog ===
debian-edu-config (0.409) unstable; urgency=low

  [ Luk Claes ]
  * Added myself to uploaders.

  [ Petter Reinholdtsen ]
  * Adjust cfengine test for detecting etch, to look for '4.0' and not
    'testing', to match the current version.
  * Change testsuite/bind9-dns to not report missing Internet
    connectivity as an error.
  * Change testsuite/ispell-dict-default to handle locales with UTF-8 or
    other non-ISO-8859-1 charmaps properly.

 -- Luk Claes <luk@debian.org>  Wed, 22 Nov 2006 22:31:59 +0100

debian-edu-config (0.408) unstable; urgency=low

  [ Ronny Aasen ]
  * Add authorative to dhcp configuration
  * reordering cf.ldapclient fixes libnss-ldap
  * Modify cf.ntp to support setting the clock on startup
  * Add /etc/lsb-release with some initial values. This should remove the need
    to preseed ltsp with --dist since lsb-release should function as expected
  * remove cf.popcon from the makefile. since cf.popcon is removed
  * added ltsp plugin in order to configure ltsp pxelinnux to use usplash
  * added nosuid to /tmp in cf.fstab
  * creates /opt/ltsp/i386/etc/ltsp/update-kernels.conf tru cf.ltsp
    this enables usplash in ltsp booting clients

  [ Steffen Joeris ]
  * Include French translation for debconf questions (Closes: #392190)
    Thanks to Guilhelm Panaget
  * Delete apt settings for woody and sarge, to clean up a bit
  * Delete old kdesktoprc for the kiosk profile
  * Make sure that the kiosk profile is installed in a hierachic order
  * Include new desktop icon framework for the debian_edu_pupils
  * Update the package build to honor the new kiosk files
  * Include German translation for debconf questions (Closes: #396383)
    Thanks to Helge Kreutzmann
  * Add special desktop restrictions to the debian_edu_pupils kiosk
    mode
  * Add the first customized kmenu for the debian_edu_pupils kiosk
    profile which is divided into the disciplines

  [ Petter Reinholdtsen]
  * Enable esd sound in KDE for thin client users by adding a new desktop
    profile thin-client for all users with LTSP_CLIENT and ESERVER set
    in the environment.
  * Modify default pam.d/common-auth to use pam_group, to make it easier
    to provide local device access to the user logged into the console.
    Rewrite pam_group config to include more groups and also work on
    tty1-9 logins.  Activate it on thin-client-server installs, as well
    as workstation and standalone installs.

  [ Morten Werner Olsen ]
  * Removing all traces of bind8.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 19 Nov 2006 13:56:08 +0100

debian-edu-config (0.407) unstable; urgency=low

  [ Ronny Aasen ]
  * Modify cf.ldapclient, Altering libnss-ldap default bind policy to soft
  * Added commented volatile sources for etch to cf.apt
  * modify cf.fstab, to delete the dummy freespace logical volume
  * fix the regex matcing /tmp  in cf.fstab
  * updated www.uio.no ip address in testsuite
  * dont run debian-edu-ltsp, we use ltsp-client-builder

  [ Petter Reinholdtsen ]
  * Correct exit code and output handling in update-hostname-from-ip.
  * Drop code to edit /etc/defaults/ntpdate.  It is no longer needed.
  * Moved testing of network settings from debian-edu-install to
    testsuite/network.
  * Add DNS alias sitesummary.intern for the sitesummary collector.

  [ Steffen Joeris ]
  * Include Czech translation for debconf questions (Closes: #391475)
    Thanks to Miroslav Kure

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  4 Oct 2006 13:50:48 +0200

debian-edu-config (0.406) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Use 'tail -n +3' instead of 'tail +3' in ntp test, to avoid warning.
  * Make dash test more robust.
  * Update test to detect missing webmin and report that.
  * Correct syslog UDP activation code to edit /etc/default/syslogd,
    not /etc/default/sysklogd.
  * Fix typo in webmin test script.
  * Modify testsuite/kde to accept execute bit on /etc/kde3/kioslaverc.
    No idea why the file is executable, but we only need to check if it is
    readable for all.
  * Correct testsuite/webcache to not test a non-proxying connection to
    squid.  It does not, and should not, work.
  * Add testsuite/ltsp to detect if the LTSP chroot is installed on
    the thin client server.
  * Modify ntp test to check if /etc/default/ntpdate have syntax errors.
  * Change init.d/update-hostname to use the LSB log functions and to
    not print anything when VERBOSE=no.  Add depends on lsb-base.
  * Removed useless chkconfig line from init.d scripts.

  [ Steffen Joeris ]
  * Mark update-hostname debconf question as internal and fix
    typo at enable-nat question (Closes: #388062)
  * Fix typo in update-hostname debconf question to make sure lintian
    is happy
  * Change hash commenting for /etc/default/ntpdate file, because
    current code breaks configuration for main-server(only), because
    of if-clause
  * Remove mime-types from cf.mime-support which are already merged into
    the mime-support package and write bugreport against mime-support
    for the rest to make sure we can remove cf.mime-support soon

  [ Ronny Aasen ]
  * Added cf.fstab, purpose is to add /tmp as tmpfs in fstab
  * Modify dhcp configuration to look for pxelinux.0 in the correct location
  * ldm fail if Xsession is not executable, edit cf.ltsp to make sure
    /etx/X11/Xsession is +x

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 24 Sep 2006 17:26:20 +0200

debian-edu-config (0.405) unstable; urgency=low

  [ Patrick Winnertz ]
  * Removed obsolete alternative dependency on cfengine, because it
    is going to be removed from debian.

  [ Petter Reinholdtsen ]
  * Rewrite base-config test to no longer report the missing
    dbootstrap_settings as an error.  It is not present on etch.
  * Adjust syslog cfengine rule to enable UDP listening on etch.
  * Adjust webserver test to accept as a success both either apache2
    or apache running.
  * Update debian-edu-ltsp to work with both old and new version of


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>
Standards-Version: 3.7.2
Build-Depends: debhelper
Build-Depends-Indep: po-debconf

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-edu-config

DESTDIR=`pwd`/debian/debian-edu-config

build:
	$(checkdir)

	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	dh_testdir
	dh_testroot
	install -d $(DESTDIR)
	cd $(DESTDIR) && install -d `cat ../dirs`
	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
	dh_installdebconf
	dh_installdocs
	dh_installdirs
	dh_installcron
	dh_installmodules
	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
	dh_installinit --init-script open-backdoor
	dh_installinit --init-script boot_xconf
	dh_installinit --init-script enable-nat --no-start
	dh_installinit --init-script update-hostname
	dh_installinit --init-script start-wlan
	dh_installinit --init-script report-reboot -r --no-start
	dh_installchangelogs
	dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
	dh_gencontrol
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-edu-config 0.412

=== Makefile ===
PACKAGE = debian-edu-config

PROGS = cfengine-debian-edu \
        update-ini-file update-hostname-from-ip \
	debian-edu-hd-warn debian-edu-lessdisks \
	debian-edu-ltsp debian-edu-pxelinux.cfg

SPROGS = debian-edu-restart-services \
	debian-edu-test-install ltsp-make-client \
        debian-edu-fsautoresize

INSTALL     = install -D -p -m 755
INSTALL_DATA= install -D -p -m 644

prefix     = /usr/local
sysconfdir = /etc
cfdir      = $(sysconfdir)/cfengine/debian-edu
bindir     = $(prefix)/bin
sbindir    = $(prefix)/sbin
docdir     = $(prefix)/share/doc/$(PACKAGE)
mandir     = $(prefix)/share/man
ldapdir    = $(sysconfdir)/ldap
schemadir  = $(ldapdir)/schema
dhcp3dir   = $(sysconfdir)/dhcp3
libdir     = /usr/lib
pkglibdir  = $(libdir)/debian-edu-config
mailcapdir = $(libdir)/mime/packages
vardir     = /var


CFFILES = \
	cf.apache2 \
	cf.apt \
	cf.bind9 \
	cf.cfengine \
	cf.cups \
	cf.dhcpserver \
	cf.exim \
	cf.imap \
	cf.homes \
	cf.inetd \
	cf.kdm \
	cf.ldapserver \
	cf.ldapclient \
	cf.locale \
	cf.ltsp \
	cf.fstab \
	cf.mime-support \
	cf.mozilla \
	cf.munin \
	cf.nagios \
	cf.nagios2 \
	cf.nat \
	cf.ntp \
	cf.opera \
	cf.pcmcia \
	cf.samba \
	cf.slbackup \
	cf.squid \
	cf.ssh \
	cf.syslog \
	cf.sysstat \
	cfd.conf \
	cfengine.conf

CFBINFILES = \
	cfd \
	cfrunhosts.pl

# Files to install in /etc/
SYSCONFFILES = \
	X11/Xsession.d/10debian-edu-one-login-per-host \
	X11/Xsession.d/10debian-edu-set-umask \
	desktop-profiles/debian-edu-config.listing \
	bind/debian-edu/db.10 \
	bind/debian-edu/db.192.168 \
	bind/debian-edu/db.intern \
	bind/debian-edu/named-bind9.conf \
	bind/debian-edu/bind9-default \
	bind/debian-edu/named.conf.options \
	courier/authldaprc-debian-edu \
	courier/imapd-debian-edu.cnf \
	debian-edu/hd-warn.conf \
	debian-edu/nightkill.conf \
	debian-edu/lts.conf.dist \
	default/backdoor \
	cfengine/cfservd.conf \
	cfengine/update.conf \
	cfengine/inputs/cfagent.conf \
	cups/cupsd-debian-edu.conf \
	dhclient-exit-hooks \
	dhcp3/dhcpd-debian-edu.conf \
	exim/exim-ldap-client.conf \
	exim/exim-ldap-server.conf \
	exim4/exim-ldap-client-v4.conf \
	exim4/exim-ldap-server-v4.conf \
	filesystems \
	ldap/slapd-etch_debian-edu.conf \
	ldap/ssl/slapd-cert.cnf \
	pam.d/common-auth-debian-edu \
	pam.d/common-auth-ldap-debian-edu \
	pam.d/common-account-ldap-debian-edu \
	pam.d/common-password-ldap-debian-edu \
	pam.d/common-session-winbind-debian-edu \
	pam.d/common-account-winbind-debian-edu \
	pam.d/common-auth-winbind-debian-edu \
	pam.d/common-password-winbind-debian-edu \
	pam.d/common-session-debian-edu \
	usbmount/usbmount-debian-edu.conf \
	samba/netlogon/login.bat \
	samba/netlogon/shortcut.vbs \
	samba/smb-debian-edu.conf \
	samba/smb-winbind-debian-edu.conf \
	security/pam_mount-winbind-debian-edu.conf \
	security/pam_mount-stateless-debian-edu.conf \
	krb5-winbind-debian-edu.conf \
	lsb-release \
	nagios/nagios-debian-edu.cfg \
	nagios/debian-edu/checkcommands.cfg \
	nagios/debian-edu/contactgroups.cfg \
	nagios/debian-edu/contacts.cfg \
	nagios/debian-edu/dependencies.cfg \
	nagios/debian-edu/htpasswd.users \
	nagios/debian-edu/index.html \
	nagios/debian-edu/main.html \
	nagios/debian-edu/side.html \
	nagios/debian-edu/misccommands.cfg \
	nagios/debian-edu/resource.cfg \
	nagios/debian-edu/services.cfg \
	nagios/debian-edu/timeperiods.cfg \
	nagios/debian-edu/servicetemplates.cfg \
	nagios/debian-edu/hosttemplates.cfg \
	nagios/debian-edu/skolelinux_logo.png \
	nagios/debian-edu/skolelinux_logo_140.png \
	nagios/debian-edu/hosts/gateway.cfg \
	nagios/debian-edu/hosts/tjener.cfg \
	nagios/debian-edu/hostgroups/gateways.cfg \
	nagios/debian-edu/hostgroups/servers.cfg \
	apache2/mods-available/debian-edu-userdir.conf \
	apache2/sites-available/debian-edu-default \
	apache2/sites-available/debian-edu-ssl-default \
	apache2/conf.d/debian-edu-config-doc \
	nagios2/debian-edu/cgi.cfg \
	nagios2/debian-edu/commands.cfg \
	nagios2/debian-edu/contactgroups.cfg \
	nagios2/debian-edu/contacts.cfg \
	nagios2/debian-edu/dependencies.cfg \
	nagios2/debian-edu/htpasswd.users \
	nagios2/debian-edu/escalations.cfg \
	nagios2/debian-edu/hostextinfo.cfg \
	nagios2/debian-edu/hostgroups.cfg \
	nagios2/debian-edu/hosts.cfg \
	nagios2/debian-edu/host_templates.cfg \
	nagios2/debian-edu/nagios.cfg \
	nagios2/debian-edu/resources.cfg \
	nagios2/debian-edu/serviceextinfo.cfg \
	nagios2/debian-edu/servicegroups.cfg \
	nagios2/debian-edu/services.cfg \
	nagios2/debian-edu/service_templates.cfg \
	nagios2/debian-edu/timeperiods.cfg


LIBFILES = \
	mime/packages/debian-edu-mailcap

SYSCONFSCRIPTS = \
	resolvconf/update.d/bind-debian-edu \
	X11/Xsession-debian-edu \
	samba/smbaddclient.pl

SCHEMAS = \
	samba.schema \
	samba-2.2.x.schema \
	courier.schema \
	automount-debian-edu.schema \
	norEduPerson.schema \
	EduPerson.schema \
	lis.schema

LDIFS = \
	root.ldif \
	autofs.ldif \
	netgroup.ldif

LDAPPROGRAMS = \
	ldappasswd2 \
	ldap2netgroup \
	ldap-debian-edu-install \
	samba-debian-edu-admin \
	mkslapdcert

VARFILES = \
	www/index.html.de \
	www/index.html.en \
	www/index.html.es \
	www/index.html.fr \
	www/index.html.no \
	www/index.html.nl \
	www/skl-ren_css.css \
	www/logo-trans.png \
	www/wpad.dat

KIOSKFILES = \
	share/debian-edu/students/etc/xdg/menus/applications-kmenuedit.menu \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kalzium.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kmplot.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/kstars.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-impress.desktop \
	share/debian-edu/students/share/apps/kdesktop/Desktop/ooo-writer.desktop \
	share/debian-edu/students/share/config/kdeglobals \
	share/debian-edu/students/share/config/kdesktoprc \
	share/debian-edu/students/share/config/konqiconviewrc \
	share/debian-edu/students/share/config/uiserverrc \
	share/debian-edu/students/share/services/update_ksycoca \
	share/debian-edu/students/share/desktop-directories/computer\ science.directory \
	share/debian-edu/students/share/desktop-directories/creative\ work.directory \
	share/debian-edu/students/share/desktop-directories/languages.directory \
	share/debian-edu/students/share/desktop-directories/music.directory \
	share/debian-edu/students/share/desktop-directories/writing.directory \
	share/debian-edu/students/share/desktop-directories/mathematics.directory \
	share/debian-edu/students/share/desktop-directories/science.directory \
	share/debian-edu/students/share/config/menus/applications.menu \
	share/debian-edu/students/share/config/menus/kde-applications.menu \
	share/debian-edu/students/share/applications/kalzium.desktop \
	share/debian-edu/students/share/applications/kbruch.desktop \
	share/debian-edu/students/share/applications/klatin.desktop \
	share/debian-edu/students/share/applications/kmplot.desktop \
	share/debian-edu/students/share/applications/kpercentage.desktop \
	share/debian-edu/students/share/applications/kstars.desktop \
	share/debian-edu/students/share/applications/kturtle.desktop \
	share/debian-edu/students/share/applications/kvoctrain.desktop \
	share/debian-edu/students/share/applications/kwordquiz.desktop \
	share/debian-edu/students/share/applications/oocalc.desktop \
	share/debian-edu/students/share/applications/ooimpress.desktop \
	share/debian-edu/students/share/applications/oowriter.desktop  \
	share/debian-edu/root/share/apps/kdesktop/Desktop/tjener.desktop

all:

install: install-testsuite
	install -d $(DESTDIR)$(bindir)
	install -d $(DESTDIR)$(sbindir)
	install -d $(DESTDIR)$(sysconfdir) $(DESTDIR)$(sysconfdir)/cups
	install -d $(DESTDIR)$(sysconfdir)/exim
	install -d $(DESTDIR)$(sysconfdir)/courier
	install -d $(DESTDIR)$(ldapdir)
	install -d $(DESTDIR)$(dhcp3dir)
	install -d $(DESTDIR)$(mailcapdir)

# program's manpages are autodetected. 
	set -e ; for prog in $(PROGS); do \
		$(INSTALL) bin/$$prog $(DESTDIR)$(bindir) ; \
		if [ -e "share/man/man1/$$prog.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$prog.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
# Using manpages autodetection : 
	set -e ; for sprog in $(SPROGS); do \
		$(INSTALL) sbin/$$sprog $(DESTDIR)$(sbindir) ; \
		if [ -e "share/man/man8/$$sprog.8" ]; \
		then \
		$(INSTALL_DATA) "share/man/man8/$$sprog.8" $(DESTDIR)$(mandir)/man8/$$sprog.8 ; \
		fi \
	done
	$(INSTALL_DATA) README $(DESTDIR)$(docdir)/README
	set -e ; for cf in $(CFFILES); do \
		$(INSTALL_DATA) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done
	set -e ; for cf in $(CFBINFILES); do \
		$(INSTALL) cf/$$cf $(DESTDIR)$(cfdir)/$$cf; \
	done



	set -e ; for file in $(SYSCONFFILES) ; do \
		$(INSTALL_DATA) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	mkdir -p $(DESTDIR)$(sysconfdir)/init.d
	set -e ; for file in $(SYSCONFSCRIPTS) ; do \
		$(INSTALL) etc/$$file $(DESTDIR)$(sysconfdir)/$$file; \
	done

	set -e ; for file in $(LIBFILES) ; do \
		$(INSTALL_DATA) lib/$$file $(DESTDIR)$(libdir)/$$file; \
	done

	set -e ; for f in share/debian-edu-config/tools/passwd \
		share/debian-edu-config/tools/adduser \
		share/debian-edu-config/tools/movehome \
		share/debian-edu-config/tools/nightkill.sh \
		share/debian-edu-config/tools/logoutkill.sh \
		share/debian-edu-config/tools/ldap-user-clean-attic.sh \
		share/debian-edu-config/tools/ldapdump.sh \
		share/debian-edu-config/tools/ldap-users.pl \
		share/debian-edu-config/tools/nbdswap-cleanup \
		share/debian-edu-config/tools/nbdquery \
	; do \
		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in share/debian-edu/common/share/config/kcookiejarrc \
		share/debian-edu/common/share/config/artsmessagerc \
		share/debian-edu/common/share/config/kdeprintrc \
		share/debian-edu/common/share/config/kpersonalizerrc \
		share/debian-edu/common/share/config/konquerorrc \
		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
		share/debian-edu/networked-kde3/share/config/kioslaverc \
		share/debian-edu/thin-client/share/config/kcmartsrc \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	set -e ; for f in $(KIOSKFILES) ; do \
		$(INSTALL_DATA) "$$f" "$(DESTDIR)/usr/$$f" ; \
	done

	set -e ; for f in \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
 share/ltsp/plugins/ltsp-build-client/Debian-custom/025-bootprompt-opts \
	; do \
		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
	done

	$(INSTALL_DATA) sbin/debian-edu-fsautoresizetab $(DESTDIR)/usr/share/debian-edu-config/fsautoresizetab

# Using manpages autodetection : 
	set -e ; for program in $(LDAPPROGRAMS) ; do \
		$(INSTALL) ldap-tools/$$program $(DESTDIR)$(bindir)/$$program; \
		if [ -e "share/man/man1/$$program.1" ]; \
		then \
		$(INSTALL_DATA) "share/man/man1/$$program.1" $(DESTDIR)$(mandir)/man1/$$sprog.1 ; \
		fi \
	done
	set -e ; for schema in $(SCHEMAS) ; do \
		$(INSTALL_DATA) ldap-schemas/$$schema $(DESTDIR)$(schemadir)/$$schema;\
	done
	set -e ; for ldif in $(LDIFS) ; do \
		$(INSTALL_DATA) ldap-bootstrap/$$ldif $(DESTDIR)$(ldapdir)/$$ldif ; \
	done

	set -e ; for file in $(VARFILES) ; do \
		$(INSTALL_DATA) var/$$file $(DESTDIR)/var/$$file ; \
	done

	chmod 700 $(DESTDIR)/var/lib/maildirs/


install-testsuite:
	install -d $(DESTDIR)$(pkglibdir)/testsuite
	set -e ; for test in testsuite/* ; do \
		$(INSTALL) $$test $(DESTDIR)$(pkglibdir)/$$test; \
	done



clean:
	# Remove CVS cruft
	-find . -name '.#*' | xargs rm

dist:
	debuild -us -uc

=== debian/changelog ===
debian-edu-config (0.412) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove init.d/loadcpufreq, as the functionality is moved
    to the cpufrequtils package.
  * Add new pam.d/common-auth-debian-edu activated on standalone
    installations to make sure console users is given access to
    local devices.
  * Remove obsolete pam.d files not used since woody.
  * Provide access to the scanner group for users on the console.
    Based on patch to user-setup in Ubuntu.
  * Make default /usr/share/debian-edu-config/fsautoresizetab and
    include it in the package.
  * Change quoting in the dhcpd.conf editing in sbin/ltsp-make-client
    to try to get it working with bash (Related to Skolelinux bug #1060).
  * Install localization-config in ltsp-make-client, and run it after
    the packages are installed, trying to fix skolelinux bug #1127.
  * Make sure all pxe booting clients use the same path to pxelinux.0
    in dhcpd.conf.
  * Remove support for etherboot/non-pxe boot in dhcpd.conf.  Those
    with such network cards will have to add it manually.
  * Make sure the munin server is treated as a munin client when
    collecting information to get the new sitesummary integration
    working out of the box.  Change how munin-client.conf is updated
    to get the cfengine rule working.
  * Drop the fuse group from the list of groups assiged to console users,
    and make it a group assigned to all logged in users on thin clients,
    to make it easier to enable local device access on thin clients.
  * Make sure kderc is updated to enable the special desktop icons
    for the root user and the members of the admins group.
  * Make sure /var/www/index.html.?? files uses relative URLs when possible,
    and use the symbolic www DNS name instead of tjener.
  * Modified squid to access SSL on port 631, and change all links to Cups
    to use https on this port.
  * Change ldap-tools/mkslapdcert to secure the directory where the
    certificate is created before creating the certificate, and make
    the public key available in a separate file to make it easier to
    copy it to the clients.
  * Create init.d script fetch-ldap-cert to download after apache starts
    the LDAP SSL certificate on clients when they boot, unless it already
    is downloaded.
  * Rename ESERVER to the correct ESPEAKER in the desktop-profile trigger
    for thin client sound settings in KDE.  Fixes skolelinux bug #1183.
  * Add fuse to /etc/modules on thin-client-servers, to make sure
    local device access work out of the box when enabled.  Fixes
    skolelinux bug #1184.
  * Enable sound on LTSP thin clients by default, and let those who want
    silent clients disable it by changing to SOUND=N in lts.conf, instead
    of the other way around.
  * Add 000-arch-detection plugin for ltsp-build-client, to install i386
    LTSP chroot on amd64 machines.  Fixes skolelinux bug #1195.
  * Remove obsolete/renamed scripts cfengine-skolelinux, skolelinux-hd-warn,
    skolelinux-restart-services and skolelinux-test-install.  The rename
    was done in 2004, so documentation should be updated by now.
  * Enable local device access on LTSP thin clients by default.
  * Rename cfengine variable de_arch to ltsp_arch, to make it more obvious
    what the variable is used for.  Change its content to i386 on amd64.

  [ Ronny Aasen ]
  * Remove the timeout on nbd-server, it removed the swapfile from the
    client while it's running.
  * Cleanup the slapd config file. Rename from sarge to etch. And
    update the cf script to match. And remove the old woody file from
    the package.
  * Added sambaNextRid to smbadmin's acl. needed in order to join
    machines to the domain.
  * Added ldap-users.pl with dependencies from webmin 1.180, used by
    samba to create machine accounts in ldap.
  * Edited smbaddclient.pl to use the provided ldap-users.pl, and not
    webmin.
  * Added configfile to support the links to debian-edu-doc made from
    the local webpage.
  * Added script to cleanup the ltsp network swapdir daily (Closes
    Skolelinux Bug #1169)
  * Added script nbdquery. shows ports in use by nbd-client on ltsp clients
  * Changed nbdswapd-cleanup to use nbdquery on the ltsp clients, and edited
    cf.ltsp to activate nbdquery on the ltsp clients
  * Add dependency on lsof
  * Added nbdquery to the makefile

  [ Holger Levsen ]
  * Relabeled descriptions to say "all $foo in the institution"
    instead of "...school"

  [ Klaus Ade Johnstad ]
  * Small fix of comments in dhcpd.conf
  * Removed Norwegian comments in dhcpd.conf
  * Removed unneeded stanzas for ltsp-clients

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jun 2007 15:17:06 +0100

debian-edu-config (0.411) unstable; urgency=low

  [ Steffen Joeris ]
  * Remove icons from the kiosk desktop for student users which relate
    to uninstalled software (Closes Skolelinux Bug #1140)
  * Remove obsolete kiosk-profile directory as it is now divided into
    individual directories
  * Allow students to run a shell and the kde command execution
  * Include the kiosk mode for root
   - Give root the tjener desktop icon to call the internal webpage
   - Update Makefile and add the tjener.desktop file
   - Update debian-edu-config.postinst to generate additional config
     entry for the root kiosk mode

  [ Petter Reinholdtsen ]
  * Add the fuse group to the list of groups assigned during login, trying to get
    LTSP local device access working out of the box.
  * Avoid hardcoding the IP address on the default apache web page.
  * Avoid hardcoding IP addresses in the nagios config.  This will
    cause problem in case DNS is unavailable, but make it easier to
    change IP subnet.
  * Add pam-foreground as an optional pam session module, to get
    /var/run/console/ populated with information needed by dbus
    to give special privileges to users on the console.
  * Edit /etc/security/group.conf to set up local device access


=== debian/control ===
Source: debian-edu-config
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Andreas Schuldei <andreas@debian.org>, Finn-Arne Johansen <faj@bzz.no>, Morten Werner Olsen <werner@debian.org>, Luk Claes <luk@debian.org>, Steffen Joeris <white@debian.org>, Holger Levsen <holger@debian.org>, Klaus Ade Johnstad <klaus@skolelinux.no>
Standards-Version: 3.7.2
Build-Depends: debhelper
Build-Depends-Indep: po-debconf

Package: debian-edu-config
Architecture: all
Depends: ${misc:Depends}, cfengine2, libconfig-inifiles-perl, mime-support, libnet-ldap-perl, ng-utils, host, desktop-profiles, lsb-base, ssl-cert, libfilesys-df-perl, libtext-unaccent-perl, libhtml-fromtext-perl, libio-socket-ssl-perl, lsof
Replaces: ldap-skolelinux, cfengine-skolelinux, ncs
Provides: cfengine-skolelinux, ncs
Conflicts: ldap-skolelinux (<= 0.1-83), cfengine-skolelinux (<= 0.338), debian-edu-install (<= 0.616), samba (<<3.0.0), ncs
Description: Configuration files for Skolelinux systems
 Installs cfengine config files to be used by the machines set up as part
 of the Skolelinux project.

=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,17 @@
 	dh_installmodules
 	dh_installinit --init-script resize_lvm -r --no-start -u"start 32 S ."
 	dh_installinit --init-script open-backdoor
+	# Start it after 91apache
+	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
 	dh_installinit --init-script boot_xconf
 	dh_installinit --init-script enable-nat --no-start
 	dh_installinit --init-script update-hostname
 	dh_installinit --init-script start-wlan
 	dh_installinit --init-script report-reboot -r --no-start
 	dh_installchangelogs
-	dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
+	#dh_link /usr/share/debian-edu-config/tools/ldapdump.sh /etc/slbackup/pre.d/ldapdump.sh
+	#dh_link /etc/apache2/mods-available/userdir.load /etc/apache2/mods-available/debian-edu-userdir.load
+	dh_link
 	dh_gencontrol
 	dh_strip
 	dh_compress
